summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNathan Egge (unlord) <nathanegge@yahoo.com>2008-07-13 00:38:58 +0000
committerNathan Egge (unlord) <nathanegge@yahoo.com>2008-07-13 00:38:58 +0000
commitb9afd32f9e8d7c24f84bfb1dc74fa35106a64a83 (patch)
treefd883d2b4c8b99ce8a47c81298204d82d0491d88 /games-rpg/ihnm-demo
parentapp-dicts/stardict-ruspack: New ebuild for bug 144451 (diff)
downloadsunrise-b9afd32f9e8d7c24f84bfb1dc74fa35106a64a83.tar.gz
sunrise-b9afd32f9e8d7c24f84bfb1dc74fa35106a64a83.tar.bz2
sunrise-b9afd32f9e8d7c24f84bfb1dc74fa35106a64a83.zip
games-rpg/ihnm-demo: New ebuild for bug 231647
svn path=/sunrise/; revision=6487
Diffstat (limited to 'games-rpg/ihnm-demo')
-rw-r--r--games-rpg/ihnm-demo/ChangeLog8
-rw-r--r--games-rpg/ihnm-demo/Manifest4
-rw-r--r--games-rpg/ihnm-demo/ihnm-demo-1.ebuild33
-rw-r--r--games-rpg/ihnm-demo/metadata.xml5
4 files changed, 50 insertions, 0 deletions
diff --git a/games-rpg/ihnm-demo/ChangeLog b/games-rpg/ihnm-demo/ChangeLog
new file mode 100644
index 000000000..1f69d48ad
--- /dev/null
+++ b/games-rpg/ihnm-demo/ChangeLog
@@ -0,0 +1,8 @@
+# ChangeLog for games-rpg/ihnm-demo
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 13 Jul 2008; Your Name (ircnick) <your@mail.org> +ihnm-demo-1.ebuild,
+ +metadata.xml:
+ New ebuild for bug 231647
+
diff --git a/games-rpg/ihnm-demo/Manifest b/games-rpg/ihnm-demo/Manifest
new file mode 100644
index 000000000..f2c34ac5e
--- /dev/null
+++ b/games-rpg/ihnm-demo/Manifest
@@ -0,0 +1,4 @@
+DIST scream.rar 58062693 RMD160 e0873e0ae0c7f0a2cced25b587a9932d21491a40 SHA1 4c8df921d6721c33fa8b627e657f93b310045b78 SHA256 4240bad123857b1c64786c123445bee4ae6e746e1eec4a3278ce4848fa3200dd
+EBUILD ihnm-demo-1.ebuild 795 RMD160 9a100b79b8fba446144e76192cbfc83b49b409f4 SHA1 8f360f627310e86f5d6cf7529a96007d4a1fa04b SHA256 526805b2b4324a424193afc5e624bba65ec1271272aac47f83b474b02c018aaa
+MISC ChangeLog 238 RMD160 ff0e1de176712cb11a5fc90ae3fe654f85dcb615 SHA1 ba0d7ecb9f136e2162264691d5e3939d380e743e SHA256 3ec3db73cd56406868c2e526c763758fda14ea0d6fa852b0fb7dddbe531e64e4
+MISC metadata.xml 170 RMD160 645927a396fdc21cdeb089fe42c5397332420ea6 SHA1 ac7f48a14fec325926f9ce1be8fbf1f311b4f2e4 SHA256 d797a2ec6f9dc516c9f9c1a758ee87ad3e8c43101b5dc76c2f872d5bd4639b42
diff --git a/games-rpg/ihnm-demo/ihnm-demo-1.ebuild b/games-rpg/ihnm-demo/ihnm-demo-1.ebuild
new file mode 100644
index 000000000..1c08dfb5a
--- /dev/null
+++ b/games-rpg/ihnm-demo/ihnm-demo-1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils games
+
+DESCRIPTION="I Have No Mouth, and I Must Scream (interactive demo)"
+HOMEPAGE="http://harlanellison.com/herc.htm#ihnm"
+SRC_URI="http://gentooexperimental.org/~unlord/scream.rar"
+
+LICENSE="freedist"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+RESTRICT="strip"
+
+RDEPEND=">=games-engines/scummvm-0.11.0"
+DEPEND="|| (
+ app-arch/unrar
+ app-arch/rar )"
+
+S=${WORKDIR}
+dir=${GAMES_DATADIR}/${PN}
+
+src_install() {
+ insinto "${dir}"
+ doins MUSIC.RES SCREAM.RES SCRIPTS.RES SFX.RES VOICESD.RES || die "doins failed"
+
+ games_make_wrapper ${PN} "scummvm -f -p \"${dir}\" ihnm-demo"
+ make_desktop_entry ${PN} "I Have No Mouth, and I Must Scream (Demo)"
+
+ prepgamesdirs
+}
diff --git a/games-rpg/ihnm-demo/metadata.xml b/games-rpg/ihnm-demo/metadata.xml
new file mode 100644
index 000000000..7e3286984
--- /dev/null
+++ b/games-rpg/ihnm-demo/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>maintainer-wanted</herd>
+</pkgmetadata>